// PosArray.h
//
// Header file for CPosArray class
///////////////////////////////////
#ifndef POSARRAY
#define POSARRAY
#include <afx.h>

// Include version info
#ifdef _ALIUSE
	#include "..\Versions\versions.h"
#else
	#include "versions.h"
#endif

#include "Pos.h"


class CPosArray : private CObArray
{
	DECLARE_SERIAL( CPosArray )

// Attributes
public:
	int		m_iNumPoints;

// Operators
public:

	// Constructor
	CPosArray(void);
	// Destructor
	~CPosArray(void);

	// Delete all items in array
	void DeleteArray (void);


	// Really set at grow
	void SetAt( int nIndex, CPos* newPos );

	// Get the pos at nIndex
	CPos* GetAt( int nIndex ) const;

	// Add a position to the array
	void Add(CPos Pos);

	void Add(CPos *pPos);
};

#endif