// RTC3DLL_DEF.h
//
// This file contains the assignment definitions
// for the functions in the RTC3 DLL that
// are made accessible to ProLase

//// 1.0923 PAT 25.08.04 RTC3/4 FUNCTION INIT ////
//	#ifndef RTC3DLL_DEF
//	#define RTC3DLL_DEF
//// 1.0923 //////////////////////////////////////

n_load_varpolydelay = (N_LOAD_VARPOLYDELAY) GetProcAddress(m_gLibRTC3,"n_load_varpolydelay");
load_varpolydelay = (LOAD_VARPOLYDELAY) GetProcAddress(m_gLibRTC3,"load_varpolydelay");
n_load_program_file = (N_LOAD_PROGRAM_FILE) GetProcAddress(m_gLibRTC3,"n_load_program_file");
load_program_file = (LOAD_PROGRAM_FILE) GetProcAddress(m_gLibRTC3,"load_program_file");
n_load_correction_file = (N_LOAD_CORRECTION_FILE) GetProcAddress(m_gLibRTC3,"n_load_correction_file");
load_correction_file = (LOAD_CORRECTION_FILE) GetProcAddress(m_gLibRTC3,"load_correction_file");
n_load_z_table = (N_LOAD_Z_TABLE) GetProcAddress(m_gLibRTC3,"n_load_z_table");
load_z_table = (LOAD_Z_TABLE) GetProcAddress(m_gLibRTC3,"load_z_table");
n_list_nop = (N_LIST_NOP) GetProcAddress(m_gLibRTC3,"n_list_nop");
list_nop = (LIST_NOP) GetProcAddress(m_gLibRTC3,"list_nop");
n_set_end_of_list = (N_SET_END_OF_LIST) GetProcAddress(m_gLibRTC3,"n_set_end_of_list");
set_end_of_list = (SET_END_OF_LIST) GetProcAddress(m_gLibRTC3,"set_end_of_list");
n_jump_abs_3d = (N_JUMP_ABS_3D) GetProcAddress(m_gLibRTC3,"n_jump_abs_3d");
jump_abs_3d = (JUMP_ABS_3D) GetProcAddress(m_gLibRTC3,"jump_abs_3d");
n_jump_abs = (N_JUMP_ABS) GetProcAddress(m_gLibRTC3,"n_jump_abs");
jump_abs = (JUMP_ABS) GetProcAddress(m_gLibRTC3,"jump_abs");
n_mark_abs_3d = (N_MARK_ABS_3D) GetProcAddress(m_gLibRTC3,"n_mark_abs_3d");
mark_abs_3d = (MARK_ABS_3D) GetProcAddress(m_gLibRTC3,"mark_abs_3d");
n_mark_abs = (N_MARK_ABS) GetProcAddress(m_gLibRTC3,"n_mark_abs");
mark_abs = (MARK_ABS) GetProcAddress(m_gLibRTC3,"mark_abs");
n_jump_rel_3d = (N_JUMP_REL_3D) GetProcAddress(m_gLibRTC3,"n_jump_rel_3d");
jump_rel_3d = (JUMP_REL_3D) GetProcAddress(m_gLibRTC3,"jump_rel_3d");
n_jump_rel = (N_JUMP_REL) GetProcAddress(m_gLibRTC3,"n_jump_rel");
jump_rel = (JUMP_REL) GetProcAddress(m_gLibRTC3,"jump_rel");
n_mark_rel_3d = (N_MARK_REL_3D) GetProcAddress(m_gLibRTC3,"n_mark_rel_3d");
mark_rel_3d = (MARK_REL_3D) GetProcAddress(m_gLibRTC3,"mark_rel_3d");
n_mark_rel = (N_MARK_REL) GetProcAddress(m_gLibRTC3,"n_mark_rel");
mark_rel = (MARK_REL) GetProcAddress(m_gLibRTC3,"mark_rel");
n_write_8bit_port_list = (N_WRITE_8BIT_PORT_LIST) GetProcAddress(m_gLibRTC3,"n_write_8bit_port_list");
write_8bit_port_list = (WRITE_8BIT_PORT_LIST) GetProcAddress(m_gLibRTC3,"write_8bit_port_list");
n_write_da_1_list = (N_WRITE_DA_1_LIST) GetProcAddress(m_gLibRTC3,"n_write_da_1_list");
write_da_1_list = (WRITE_DA_1_LIST) GetProcAddress(m_gLibRTC3,"write_da_1_list");
n_write_da_2_list = (N_WRITE_DA_2_LIST) GetProcAddress(m_gLibRTC3,"n_write_da_2_list");
write_da_2_list = (WRITE_DA_2_LIST) GetProcAddress(m_gLibRTC3,"write_da_2_list");
n_set_offset_list = (N_SET_OFFSET_LIST) GetProcAddress(m_gLibRTC3,"n_set_offset_list");
set_offset_list = (SET_OFFSET_LIST) GetProcAddress(m_gLibRTC3,"set_offset_list");
n_long_delay = (N_LONG_DELAY) GetProcAddress(m_gLibRTC3,"n_long_delay");
long_delay = (LONG_DELAY) GetProcAddress(m_gLibRTC3,"long_delay");
n_laser_on_list = (N_LASER_ON_LIST) GetProcAddress(m_gLibRTC3,"n_laser_on_list");
laser_on_list = (LASER_ON_LIST) GetProcAddress(m_gLibRTC3,"laser_on_list");
n_set_jump_speed = (N_SET_JUMP_SPEED) GetProcAddress(m_gLibRTC3,"n_set_jump_speed");
set_jump_speed = (SET_JUMP_SPEED) GetProcAddress(m_gLibRTC3,"set_jump_speed");
n_set_mark_speed = (N_SET_MARK_SPEED) GetProcAddress(m_gLibRTC3,"n_set_mark_speed");
set_mark_speed = (SET_MARK_SPEED) GetProcAddress(m_gLibRTC3,"set_mark_speed");
n_set_laser_delays = (N_SET_LASER_DELAYS) GetProcAddress(m_gLibRTC3,"n_set_laser_delays");
set_laser_delays = (SET_LASER_DELAYS) GetProcAddress(m_gLibRTC3,"set_laser_delays");
n_set_scanner_delays = (N_SET_SCANNER_DELAYS) GetProcAddress(m_gLibRTC3,"n_set_scanner_delays");
set_scanner_delays = (SET_SCANNER_DELAYS) GetProcAddress(m_gLibRTC3,"set_scanner_delays");
n_set_list_jump = (N_SET_LIST_JUMP) GetProcAddress(m_gLibRTC3,"n_set_list_jump");
set_list_jump = (SET_LIST_JUMP) GetProcAddress(m_gLibRTC3,"set_list_jump");
n_set_input_pointer = (N_SET_INPUT_POINTER) GetProcAddress(m_gLibRTC3,"n_set_input_pointer");
set_input_pointer = (SET_INPUT_POINTER) GetProcAddress(m_gLibRTC3,"set_input_pointer");
set_list_pointer = (SET_LIST_POINTER) GetProcAddress(m_gLibRTC3,"set_list_pointer");
n_list_call = (N_LIST_CALL) GetProcAddress(m_gLibRTC3,"n_list_call");
list_call = (LIST_CALL) GetProcAddress(m_gLibRTC3,"list_call");
n_list_return = (N_LIST_RETURN) GetProcAddress(m_gLibRTC3,"n_list_return");
list_return = (LIST_RETURN) GetProcAddress(m_gLibRTC3,"list_return");
n_z_out_list = (N_Z_OUT_LIST) GetProcAddress(m_gLibRTC3,"n_z_out_list");
z_out_list = (Z_OUT_LIST) GetProcAddress(m_gLibRTC3,"z_out_list");
n_set_standby_list = (N_SET_STANDBY_LIST) GetProcAddress(m_gLibRTC3,"n_set_standby_list");
set_standby_list = (SET_STANDBY_LIST) GetProcAddress(m_gLibRTC3,"set_standby_list");
n_timed_jump_abs = (N_TIMED_JUMP_ABS) GetProcAddress(m_gLibRTC3,"n_timed_jump_abs");
timed_jump_abs = (TIMED_JUMP_ABS) GetProcAddress(m_gLibRTC3,"timed_jump_abs");
n_timed_mark_abs = (N_TIMED_MARK_ABS) GetProcAddress(m_gLibRTC3,"n_timed_mark_abs");
timed_mark_abs = (TIMED_MARK_ABS) GetProcAddress(m_gLibRTC3,"timed_mark_abs");
n_timed_jump_rel = (N_TIMED_JUMP_REL) GetProcAddress(m_gLibRTC3,"n_timed_jump_rel");
timed_jump_rel = (TIMED_JUMP_REL) GetProcAddress(m_gLibRTC3,"timed_jump_rel");
n_timed_mark_rel = (N_TIMED_MARK_REL) GetProcAddress(m_gLibRTC3,"n_timed_mark_rel");
timed_mark_rel = (TIMED_MARK_REL) GetProcAddress(m_gLibRTC3,"timed_mark_rel");
n_set_laser_timing = (N_SET_LASER_TIMING) GetProcAddress(m_gLibRTC3,"n_set_laser_timing");
set_laser_timing = (SET_LASER_TIMING) GetProcAddress(m_gLibRTC3,"set_laser_timing");
n_set_wobbel = (N_SET_WOBBEL) GetProcAddress(m_gLibRTC3,"n_set_wobbel");
set_wobbel = (SET_WOBBEL) GetProcAddress(m_gLibRTC3,"set_wobbel");
n_set_fly_x = (N_SET_FLY_X) GetProcAddress(m_gLibRTC3,"n_set_fly_x");
set_fly_x = (SET_FLY_X) GetProcAddress(m_gLibRTC3,"set_fly_x");
n_set_fly_y = (N_SET_FLY_Y) GetProcAddress(m_gLibRTC3,"n_set_fly_y");
set_fly_y = (SET_FLY_Y) GetProcAddress(m_gLibRTC3,"set_fly_y");
n_write_io_port_list = (N_WRITE_IO_PORT_LIST) GetProcAddress(m_gLibRTC3,"n_write_io_port_list");
write_io_port_list = (WRITE_IO_PORT_LIST) GetProcAddress(m_gLibRTC3,"write_io_port_list");
n_set_wait = (N_SET_WAIT) GetProcAddress(m_gLibRTC3,"n_set_wait");
set_wait = (SET_WAIT) GetProcAddress(m_gLibRTC3,"set_wait");
n_simulate_ext_start = (N_SIMULATE_EXT_START) GetProcAddress(m_gLibRTC3,"n_simulate_ext_start");
simulate_ext_start = (SIMULATE_EXT_START) GetProcAddress(m_gLibRTC3,"simulate_ext_start");
n_write_da_x_list = (N_WRITE_DA_X_LIST) GetProcAddress(m_gLibRTC3,"n_write_da_x_list");
write_da_x_list = (WRITE_DA_X_LIST) GetProcAddress(m_gLibRTC3,"write_da_x_list");
n_set_pixel_line = (N_SET_PIXEL_LINE) GetProcAddress(m_gLibRTC3,"n_set_pixel_line");
set_pixel_line = (SET_PIXEL_LINE) GetProcAddress(m_gLibRTC3,"set_pixel_line");
n_set_pixel = (N_SET_PIXEL) GetProcAddress(m_gLibRTC3,"n_set_pixel");
set_pixel = (SET_PIXEL) GetProcAddress(m_gLibRTC3,"set_pixel");
set_line = (SET_LINE) GetProcAddress(m_gLibRTC3,"set_line");
n_set_extstartpos_list = (N_SET_EXTSTARTPOS_LIST) GetProcAddress(m_gLibRTC3,"n_set_extstartpos_list");
set_extstartpos_list = (SET_EXTSTARTPOS_LIST) GetProcAddress(m_gLibRTC3,"set_extstartpos_list");
n_laser_signal_on_list = (N_LASER_SIGNAL_ON_LIST) GetProcAddress(m_gLibRTC3,"n_laser_signal_on_list");
laser_signal_on_list = (LASER_SIGNAL_ON_LIST) GetProcAddress(m_gLibRTC3,"laser_signal_on_list");
n_laser_signal_off_list = (N_LASER_SIGNAL_OFF_LIST) GetProcAddress(m_gLibRTC3,"n_laser_signal_off_list");
laser_signal_off_list = (LASER_SIGNAL_OFF_LIST) GetProcAddress(m_gLibRTC3,"laser_signal_off_list");
n_get_input_pointer = (N_GET_INPUT_POINTER) GetProcAddress(m_gLibRTC3,"n_get_input_pointer");
get_input_pointer = (GET_INPUT_POINTER) GetProcAddress(m_gLibRTC3,"get_input_pointer");
select_rtc = (SELECT_RTC) GetProcAddress(m_gLibRTC3,"select_rtc");
rtc3_count_cards = (RTC3_COUNT_CARDS) GetProcAddress(m_gLibRTC3,"rtc3_count_cards");
n_get_status = (N_GET_STATUS) GetProcAddress(m_gLibRTC3,"n_get_status");
get_status = (GET_STATUS) GetProcAddress(m_gLibRTC3,"get_status");
n_read_status = (N_READ_STATUS) GetProcAddress(m_gLibRTC3,"n_read_status");
read_status = (READ_STATUS) GetProcAddress(m_gLibRTC3,"read_status");
n_get_startstop_info = (N_GET_STARTSTOP_INFO) GetProcAddress(m_gLibRTC3,"n_get_startstop_info");
get_startstop_info = (GET_STARTSTOP_INFO) GetProcAddress(m_gLibRTC3,"get_startstop_info");
get_dll_version = (GET_DLL_VERSION) GetProcAddress(m_gLibRTC3,"get_dll_version");
n_set_start_list_1 = (N_SET_START_LIST_1) GetProcAddress(m_gLibRTC3,"n_set_start_list_1");
set_start_list_1 = (SET_START_LIST_1) GetProcAddress(m_gLibRTC3,"set_start_list_1");
n_set_start_list_2 = (N_SET_START_LIST_2) GetProcAddress(m_gLibRTC3,"n_set_start_list_2");
set_start_list_2 = (SET_START_LIST_2) GetProcAddress(m_gLibRTC3,"set_start_list_2");
n_set_start_list = (N_SET_START_LIST) GetProcAddress(m_gLibRTC3,"n_set_start_list");
set_start_list = (SET_START_LIST) GetProcAddress(m_gLibRTC3,"set_start_list");
n_execute_list_1 = (N_EXECUTE_LIST_1) GetProcAddress(m_gLibRTC3,"n_execute_list_1");
execute_list_1 = (EXECUTE_LIST_1) GetProcAddress(m_gLibRTC3,"execute_list_1");
n_execute_list_2 = (N_EXECUTE_LIST_2) GetProcAddress(m_gLibRTC3,"n_execute_list_2");
execute_list_2 = (EXECUTE_LIST_2) GetProcAddress(m_gLibRTC3,"execute_list_2");
n_execute_list = (N_EXECUTE_LIST) GetProcAddress(m_gLibRTC3,"n_execute_list");
execute_list = (EXECUTE_LIST) GetProcAddress(m_gLibRTC3,"execute_list");
n_write_8bit_port = (N_WRITE_8BIT_PORT) GetProcAddress(m_gLibRTC3,"n_write_8bit_port");
write_8bit_port = (WRITE_8BIT_PORT) GetProcAddress(m_gLibRTC3,"write_8bit_port");
n_write_io_port = (N_WRITE_IO_PORT) GetProcAddress(m_gLibRTC3,"n_write_io_port");
write_io_port = (WRITE_IO_PORT) GetProcAddress(m_gLibRTC3,"write_io_port");
n_auto_change = (N_AUTO_CHANGE) GetProcAddress(m_gLibRTC3,"n_auto_change");
auto_change = (AUTO_CHANGE) GetProcAddress(m_gLibRTC3,"auto_change");
aut_change = (AUT_CHANGE) GetProcAddress(m_gLibRTC3,"aut_change");
n_start_loop = (N_START_LOOP) GetProcAddress(m_gLibRTC3,"n_start_loop");
start_loop = (START_LOOP) GetProcAddress(m_gLibRTC3,"start_loop");
n_quit_loop = (N_QUIT_LOOP) GetProcAddress(m_gLibRTC3,"n_quit_loop");
quit_loop = (QUIT_LOOP) GetProcAddress(m_gLibRTC3,"quit_loop");
n_stop_execution = (N_STOP_EXECUTION) GetProcAddress(m_gLibRTC3,"n_stop_execution");
stop_execution = (STOP_EXECUTION) GetProcAddress(m_gLibRTC3,"stop_execution");
n_read_io_port = (N_READ_IO_PORT) GetProcAddress(m_gLibRTC3,"n_read_io_port");
read_io_port = (READ_IO_PORT) GetProcAddress(m_gLibRTC3,"read_io_port");
n_write_da_1 = (N_WRITE_DA_1) GetProcAddress(m_gLibRTC3,"n_write_da_1");
write_da_1 = (WRITE_DA_1) GetProcAddress(m_gLibRTC3,"write_da_1");
n_write_da_2 = (N_WRITE_DA_2) GetProcAddress(m_gLibRTC3,"n_write_da_2");
write_da_2 = (WRITE_DA_2) GetProcAddress(m_gLibRTC3,"write_da_2");
n_set_max_counts = (N_SET_MAX_COUNTS) GetProcAddress(m_gLibRTC3,"n_set_max_counts");
set_max_counts = (SET_MAX_COUNTS) GetProcAddress(m_gLibRTC3,"set_max_counts");
n_get_counts = (N_GET_COUNTS) GetProcAddress(m_gLibRTC3,"n_get_counts");
get_counts = (GET_COUNTS) GetProcAddress(m_gLibRTC3,"get_counts");
n_set_matrix = (N_SET_MATRIX) GetProcAddress(m_gLibRTC3,"n_set_matrix");
set_matrix = (SET_MATRIX) GetProcAddress(m_gLibRTC3,"set_matrix");
n_set_offset = (N_SET_OFFSET) GetProcAddress(m_gLibRTC3,"n_set_offset");
set_offset = (SET_OFFSET) GetProcAddress(m_gLibRTC3,"set_offset");
n_goto_xyz = (N_GOTO_XYZ) GetProcAddress(m_gLibRTC3,"n_goto_xyz");
goto_xyz = (GOTO_XYZ) GetProcAddress(m_gLibRTC3,"goto_xyz");
n_goto_xy = (N_GOTO_XY) GetProcAddress(m_gLibRTC3,"n_goto_xy");
goto_xy = (GOTO_XY) GetProcAddress(m_gLibRTC3,"goto_xy");
n_get_hex_version = (N_GET_HEX_VERSION) GetProcAddress(m_gLibRTC3,"n_get_hex_version");
get_hex_version = (GET_HEX_VERSION) GetProcAddress(m_gLibRTC3,"get_hex_version");
n_disable_laser = (N_DISABLE_LASER) GetProcAddress(m_gLibRTC3,"n_disable_laser");
disable_laser = (DISABLE_LASER) GetProcAddress(m_gLibRTC3,"disable_laser");
n_enable_laser = (N_ENABLE_LASER) GetProcAddress(m_gLibRTC3,"n_enable_laser");
enable_laser = (ENABLE_LASER) GetProcAddress(m_gLibRTC3,"enable_laser");
n_stop_list = (N_STOP_LIST) GetProcAddress(m_gLibRTC3,"n_stop_list");
stop_list = (STOP_LIST) GetProcAddress(m_gLibRTC3,"stop_list");
n_restart_list = (N_RESTART_LIST) GetProcAddress(m_gLibRTC3,"n_restart_list");
restart_list = (RESTART_LIST) GetProcAddress(m_gLibRTC3,"restart_list");
n_get_xyz_pos = (N_GET_XYZ_POS) GetProcAddress(m_gLibRTC3,"n_get_xyz_pos");
get_xyz_pos = (GET_XYZ_POS) GetProcAddress(m_gLibRTC3,"get_xyz_pos");
n_get_xy_pos = (N_GET_XY_POS) GetProcAddress(m_gLibRTC3,"n_get_xy_pos");
get_xy_pos = (GET_XY_POS) GetProcAddress(m_gLibRTC3,"get_xy_pos");
n_select_list = (N_SELECT_LIST) GetProcAddress(m_gLibRTC3,"n_select_list");
select_list = (SELECT_LIST) GetProcAddress(m_gLibRTC3,"select_list");
n_z_out = (N_Z_OUT) GetProcAddress(m_gLibRTC3,"n_z_out");
z_out = (Z_OUT) GetProcAddress(m_gLibRTC3,"z_out");
n_set_firstpulse_killer = (N_SET_FIRSTPULSE_KILLER) GetProcAddress(m_gLibRTC3,"n_set_firstpulse_killer");
set_firstpulse_killer = (SET_FIRSTPULSE_KILLER) GetProcAddress(m_gLibRTC3,"set_firstpulse_killer");
n_set_standby = (N_SET_STANDBY) GetProcAddress(m_gLibRTC3,"n_set_standby");
set_standby = (SET_STANDBY) GetProcAddress(m_gLibRTC3,"set_standby");
n_laser_signal_on = (N_LASER_SIGNAL_ON) GetProcAddress(m_gLibRTC3,"n_laser_signal_on");
laser_signal_on = (LASER_SIGNAL_ON) GetProcAddress(m_gLibRTC3,"laser_signal_on");
n_laser_signal_off = (N_LASER_SIGNAL_OFF) GetProcAddress(m_gLibRTC3,"n_laser_signal_off");
laser_signal_off = (LASER_SIGNAL_OFF) GetProcAddress(m_gLibRTC3,"laser_signal_off");
n_set_delay_mode = (N_SET_DELAY_MODE) GetProcAddress(m_gLibRTC3,"n_set_delay_mode");
set_delay_mode = (SET_DELAY_MODE) GetProcAddress(m_gLibRTC3,"set_delay_mode");
n_set_piso_control = (N_SET_PISO_CONTROL) GetProcAddress(m_gLibRTC3,"n_set_piso_control");
set_piso_control = (SET_PISO_CONTROL) GetProcAddress(m_gLibRTC3,"set_piso_control");
n_get_encoder = (N_GET_ENCODER) GetProcAddress(m_gLibRTC3,"n_get_encoder");
get_encoder = (GET_ENCODER) GetProcAddress(m_gLibRTC3,"get_encoder");
n_select_cor_table = (N_SELECT_COR_TABLE) GetProcAddress(m_gLibRTC3,"n_select_cor_table");
select_cor_table = (SELECT_COR_TABLE) GetProcAddress(m_gLibRTC3,"select_cor_table");
n_execute_at_pointer = (N_EXECUTE_AT_POINTER) GetProcAddress(m_gLibRTC3,"n_execute_at_pointer");
execute_at_pointer = (EXECUTE_AT_POINTER) GetProcAddress(m_gLibRTC3,"execute_at_pointer");
n_get_head_status = (N_GET_HEAD_STATUS) GetProcAddress(m_gLibRTC3,"n_get_head_status");
get_head_status = (GET_HEAD_STATUS) GetProcAddress(m_gLibRTC3,"get_head_status");
n_simulate_encoder = (N_SIMULATE_ENCODER) GetProcAddress(m_gLibRTC3,"n_simulate_encoder");
simulate_encoder = (SIMULATE_ENCODER) GetProcAddress(m_gLibRTC3,"simulate_encoder");
n_set_hi = (N_SET_HI) GetProcAddress(m_gLibRTC3,"n_set_hi");
set_hi = (SET_HI) GetProcAddress(m_gLibRTC3,"set_hi");
n_release_wait = (N_RELEASE_WAIT) GetProcAddress(m_gLibRTC3,"n_release_wait");
release_wait = (RELEASE_WAIT) GetProcAddress(m_gLibRTC3,"release_wait");
n_get_wait_status = (N_GET_WAIT_STATUS) GetProcAddress(m_gLibRTC3,"n_get_wait_status");
get_wait_status = (GET_WAIT_STATUS) GetProcAddress(m_gLibRTC3,"get_wait_status");
n_set_control_mode = (N_SET_CONTROL_MODE) GetProcAddress(m_gLibRTC3,"n_set_control_mode");
set_control_mode = (SET_CONTROL_MODE) GetProcAddress(m_gLibRTC3,"set_control_mode");
n_set_laser_mode = (N_SET_LASER_MODE) GetProcAddress(m_gLibRTC3,"n_set_laser_mode");
set_laser_mode = (SET_LASER_MODE) GetProcAddress(m_gLibRTC3,"set_laser_mode");
n_set_ext_start_delay = (N_SET_EXT_START_DELAY) GetProcAddress(m_gLibRTC3,"n_set_ext_start_delay");
set_ext_start_delay = (SET_EXT_START_DELAY) GetProcAddress(m_gLibRTC3,"set_ext_start_delay");
n_home_position = (N_HOME_POSITION) GetProcAddress(m_gLibRTC3,"n_home_position");
home_position = (HOME_POSITION) GetProcAddress(m_gLibRTC3,"home_position");
n_dsp_start = (N_DSP_START) GetProcAddress(m_gLibRTC3,"n_dsp_start");
dsp_start = (DSP_START) GetProcAddress(m_gLibRTC3,"dsp_start");
n_write_da_x = (N_WRITE_DA_X) GetProcAddress(m_gLibRTC3,"n_write_da_x");
write_da_x = (WRITE_DA_X) GetProcAddress(m_gLibRTC3,"write_da_x");
n_read_ad_x = (N_READ_AD_X) GetProcAddress(m_gLibRTC3,"n_read_ad_x");
read_ad_x = (READ_AD_X) GetProcAddress(m_gLibRTC3,"read_ad_x");
n_read_pixel_ad = (N_READ_PIXEL_AD) GetProcAddress(m_gLibRTC3,"n_read_pixel_ad");
read_pixel_ad = (READ_PIXEL_AD) GetProcAddress(m_gLibRTC3,"read_pixel_ad");
n_get_z_distance = (N_GET_Z_DISTANCE) GetProcAddress(m_gLibRTC3,"n_get_z_distance");
get_z_distance = (GET_Z_DISTANCE) GetProcAddress(m_gLibRTC3,"get_z_distance");
write_16bit_port = (WRITE_16BIT_PORT) GetProcAddress(m_gLibRTC3,"write_16bit_port");
set_bases = (SET_BASES) GetProcAddress(m_gLibRTC3,"set_bases");
set_ext2_mode = (SET_EXT2_MODE) GetProcAddress(m_gLibRTC3,"set_ext2_mode");
field_jump = (FIELD_JUMP) GetProcAddress(m_gLibRTC3,"field_jump");
home_jump = (HOME_JUMP) GetProcAddress(m_gLibRTC3,"home_jump");
set_mode = (SET_MODE) GetProcAddress(m_gLibRTC3,"set_mode");
set_delays = (SET_DELAYS) GetProcAddress(m_gLibRTC3,"set_delays");
get_rtc2_mode = (GET_RTC2_MODE) GetProcAddress(m_gLibRTC3,"get_rtc2_mode");
set_base = (SET_BASE) GetProcAddress(m_gLibRTC3,"set_base");
set_co2_standby = (SET_CO2_STANDBY) GetProcAddress(m_gLibRTC3,"set_co2_standby");
set_co2_standby_list = (SET_CO2_STANDBY_LIST) GetProcAddress(m_gLibRTC3,"set_co2_standby_list");
load_cor = (LOAD_COR) GetProcAddress(m_gLibRTC3,"load_cor");
load_pro = (LOAD_PRO) GetProcAddress(m_gLibRTC3,"load_pro");
write_da = (WRITE_DA) GetProcAddress(m_gLibRTC3,"write_da");
pola_abs = (POLA_ABS) GetProcAddress(m_gLibRTC3,"pola_abs");
polb_abs = (POLB_ABS) GetProcAddress(m_gLibRTC3,"polb_abs");
polc_abs = (POLC_ABS) GetProcAddress(m_gLibRTC3,"polc_abs");
write_da_list = (WRITE_DA_LIST) GetProcAddress(m_gLibRTC3,"write_da_list");
laser_on = (LASER_ON) GetProcAddress(m_gLibRTC3,"laser_on");
set_speed = (SET_SPEED) GetProcAddress(m_gLibRTC3,"set_speed");
set_gain = (SET_GAIN) GetProcAddress(m_gLibRTC3,"set_gain");
get_version = (GET_VERSION) GetProcAddress(m_gLibRTC3,"get_version");
set_yag_parameter = (SET_YAG_PARAMETER) GetProcAddress(m_gLibRTC3,"set_yag_parameter");
set_encoder_values = (SET_ENCODER_VALUES) GetProcAddress(m_gLibRTC3,"set_encoder_values");
n_get_serial_number = (N_GET_SERIAL_NUMBER) GetProcAddress(m_gLibRTC3,"n_get_serial_number");
get_serial_number = (GET_SERIAL_NUMBER) GetProcAddress(m_gLibRTC3,"get_serial_number");
n_get_rtc_version = (N_GET_RTC_VERSION) GetProcAddress(m_gLibRTC3,"n_get_rtc_version");
get_rtc_version = (GET_RTC_VERSION) GetProcAddress(m_gLibRTC3,"get_rtc_version");
n_auto_cal = (N_AUTO_CAL) GetProcAddress(m_gLibRTC3,"n_auto_cal");
auto_cal = (AUTO_CAL) GetProcAddress(m_gLibRTC3,"auto_cal");
n_set_list_mode = (N_SET_LIST_MODE) GetProcAddress(m_gLibRTC3,"n_set_list_mode");
set_list_mode = (SET_LIST_MODE) GetProcAddress(m_gLibRTC3,"set_list_mode");
n_get_list_space = (N_GET_LIST_SPACE) GetProcAddress(m_gLibRTC3,"n_get_list_space");
get_list_space = (GET_LIST_SPACE) GetProcAddress(m_gLibRTC3,"get_list_space");
get_rtc2_version = (GET_RTC2_VERSION) GetProcAddress(m_gLibRTC3,"get_rtc2_version");
write_port_byte = (WRITE_PORT_BYTE) GetProcAddress(m_gLibRTC3,"write_port_byte");
write_port_word = (WRITE_PORT_WORD) GetProcAddress(m_gLibRTC3,"write_port_word");
read_port_byte = (READ_PORT_BYTE) GetProcAddress(m_gLibRTC3,"read_port_byte");
read_port_word = (READ_PORT_WORD) GetProcAddress(m_gLibRTC3,"read_port_word");

//// JT080128A Adding Custom Pulse Width Table for RTC4 ////
n_set_softstart_mode = (N_SET_SOFTSTART_MODE) GetProcAddress(m_gLibRTC3,"n_set_softstart_mode");
n_set_softstart_level = (N_SET_SOFTSTART_LEVEL) GetProcAddress(m_gLibRTC3,"n_set_softstart_level");
//// JT080128A /////////////////////////////////////////////

//// 1.0923 PAT 25.08.04 RTC3/4 FUNCTION INIT ////
//	#endif // RTC3DLL_DEF
//// 1.0923 //////////////////////////////////////
