// RTCSA4DLL_DEF.h
//
// This file contains the assignment definitions
// for the functions in the RTCSA4 DLL that
// are made accessible to ProLase

//// 1.1037 PAT 25.07.05 SCANALONE ////
// Added this file
//// 1.1037 ///////////////////////////

usb_status = (SA4_USB_STATUS) GetProcAddress(m_gLibSCANalone4,"usb_status");
load_correction_file = (SA4_LOAD_CORRECTION_FILE) GetProcAddress(m_gLibSCANalone4,"load_correction_file");
load_cor = (SA4_LOAD_COR) GetProcAddress(m_gLibSCANalone4,"load_cor");
load_program_file = (SA4_LOAD_PROGRAM_FILE) GetProcAddress(m_gLibSCANalone4,"load_program_file");
load_pro = (SA4_LOAD_PRO) GetProcAddress(m_gLibSCANalone4,"load_pro");
load_varpolydelay = (SA4_LOAD_VARPOLYDELAY) GetProcAddress(m_gLibSCANalone4,"load_varpolydelay");
load_z_table = (SA4_LOAD_Z_TABLE) GetProcAddress(m_gLibSCANalone4,"load_z_table");
get_waveform = (SA4_GET_WAVEFORM) GetProcAddress(m_gLibSCANalone4,"get_waveform");
get_status = (SA4_GET_STATUS) GetProcAddress(m_gLibSCANalone4,"get_status");
read_status = (SA4_READ_STATUS) GetProcAddress(m_gLibSCANalone4,"read_status");
get_dll_version = (SA4_GET_DLL_VERSION) GetProcAddress(m_gLibSCANalone4,"get_dll_version");
get_input_pointer = (SA4_GET_INPUT_POINTER) GetProcAddress(m_gLibSCANalone4,"get_input_pointer");
set_input_pointer = (SA4_SET_INPUT_POINTER) GetProcAddress(m_gLibSCANalone4,"set_input_pointer");
set_start_list_1 = (SA4_SET_START_LIST_1) GetProcAddress(m_gLibSCANalone4,"set_start_list_1");
set_start_list_2 = (SA4_SET_START_LIST_2) GetProcAddress(m_gLibSCANalone4,"set_start_list_2");
set_start_list = (SA4_SET_START_LIST) GetProcAddress(m_gLibSCANalone4,"set_start_list");
execute_list_1 = (SA4_EXECUTE_LIST_1) GetProcAddress(m_gLibSCANalone4,"execute_list_1");
execute_list_2 = (SA4_EXECUTE_LIST_2) GetProcAddress(m_gLibSCANalone4,"execute_list_2");
execute_list = (SA4_EXECUTE_LIST) GetProcAddress(m_gLibSCANalone4,"execute_list");
write_8bit_port = (SA4_WRITE_8BIT_PORT) GetProcAddress(m_gLibSCANalone4,"write_8bit_port");
write_io_port = (SA4_WRITE_IO_PORT) GetProcAddress(m_gLibSCANalone4,"write_io_port");
auto_change = (SA4_AUTO_CHANGE) GetProcAddress(m_gLibSCANalone4,"auto_change");
aut_change = (SA4_AUT_CHANGE) GetProcAddress(m_gLibSCANalone4,"aut_change");
start_loop = (SA4_START_LOOP) GetProcAddress(m_gLibSCANalone4,"start_loop");
quit_loop = (SA4_QUIT_LOOP) GetProcAddress(m_gLibSCANalone4,"quit_loop");
stop_execution = (SA4_STOP_EXECUTION) GetProcAddress(m_gLibSCANalone4,"stop_execution");
dsp_start = (SA4_DSP_START) GetProcAddress(m_gLibSCANalone4,"dsp_start");
read_io_port = (SA4_READ_IO_PORT) GetProcAddress(m_gLibSCANalone4,"read_io_port");
write_da_1 = (SA4_WRITE_DA_1) GetProcAddress(m_gLibSCANalone4,"write_da_1");
write_da_2 = (SA4_WRITE_DA_2) GetProcAddress(m_gLibSCANalone4,"write_da_2");
write_da_x = (SA4_WRITE_DA_X) GetProcAddress(m_gLibSCANalone4,"write_da_x");
set_max_counts = (SA4_SET_MAX_COUNTS) GetProcAddress(m_gLibSCANalone4,"set_max_counts");
get_counts = (SA4_GET_COUNTS) GetProcAddress(m_gLibSCANalone4,"get_counts");
set_matrix = (SA4_SET_MATRIX) GetProcAddress(m_gLibSCANalone4,"set_matrix");
set_offset = (SA4_SET_OFFSET) GetProcAddress(m_gLibSCANalone4,"set_offset");
goto_xy = (SA4_GOTO_XY) GetProcAddress(m_gLibSCANalone4,"goto_xy");
goto_xyz = (SA4_GOTO_XYZ) GetProcAddress(m_gLibSCANalone4,"goto_xyz");
get_hex_version = (SA4_GET_HEX_VERSION) GetProcAddress(m_gLibSCANalone4,"get_hex_version");
enable_laser = (SA4_ENABLE_LASER) GetProcAddress(m_gLibSCANalone4,"enable_laser");
disable_laser = (SA4_DISABLE_LASER) GetProcAddress(m_gLibSCANalone4,"disable_laser");
stop_list = (SA4_STOP_LIST) GetProcAddress(m_gLibSCANalone4,"stop_list");
restart_list = (SA4_RESTART_LIST) GetProcAddress(m_gLibSCANalone4,"restart_list");
get_rtc_version = (SA4_GET_RTC_VERSION) GetProcAddress(m_gLibSCANalone4,"get_rtc_version");
get_xy_pos = (SA4_GET_XY_POS) GetProcAddress(m_gLibSCANalone4,"get_xy_pos");
get_xyz_pos = (SA4_GET_XYZ_POS) GetProcAddress(m_gLibSCANalone4,"get_xyz_pos");
select_list = (SA4_SELECT_LIST) GetProcAddress(m_gLibSCANalone4,"select_list");
set_extstartpos = (SA4_SET_EXTSTARTPOS) GetProcAddress(m_gLibSCANalone4,"set_extstartpos");
z_out = (SA4_Z_OUT) GetProcAddress(m_gLibSCANalone4,"z_out");
set_firstpulse_killer = (SA4_SET_FIRSTPULSE_KILLER) GetProcAddress(m_gLibSCANalone4,"set_firstpulse_killer");
set_standby = (SA4_SET_STANDBY) GetProcAddress(m_gLibSCANalone4,"set_standby");
laser_signal_on = (SA4_LASER_SIGNAL_ON) GetProcAddress(m_gLibSCANalone4,"laser_signal_on");
laser_signal_off = (SA4_LASER_SIGNAL_OFF) GetProcAddress(m_gLibSCANalone4,"laser_signal_off");
set_delay_mode = (SA4_SET_DELAY_MODE) GetProcAddress(m_gLibSCANalone4,"set_delay_mode");
set_piso_control = (SA4_SET_PISO_CONTROL) GetProcAddress(m_gLibSCANalone4,"set_piso_control");
select_status = (SA4_SELECT_STATUS) GetProcAddress(m_gLibSCANalone4,"select_status");
get_encoder = (SA4_GET_ENCODER) GetProcAddress(m_gLibSCANalone4,"get_encoder");
select_cor_table = (SA4_SELECT_COR_TABLE) GetProcAddress(m_gLibSCANalone4,"select_cor_table");
execute_at_pointer = (SA4_EXECUTE_AT_POINTER) GetProcAddress(m_gLibSCANalone4,"execute_at_pointer");
get_head_status = (SA4_GET_HEAD_STATUS) GetProcAddress(m_gLibSCANalone4,"get_head_status");
simulate_encoder = (SA4_SIMULATE_ENCODER) GetProcAddress(m_gLibSCANalone4,"simulate_encoder");
release_wait = (SA4_RELEASE_WAIT) GetProcAddress(m_gLibSCANalone4,"release_wait");
get_wait_status = (SA4_GET_WAIT_STATUS) GetProcAddress(m_gLibSCANalone4,"get_wait_status");
set_control_mode = (SA4_SET_CONTROL_MODE) GetProcAddress(m_gLibSCANalone4,"set_control_mode");
set_laser_mode = (SA4_SET_LASER_MODE) GetProcAddress(m_gLibSCANalone4,"set_laser_mode");
set_ext_start_delay = (SA4_SET_EXT_START_DELAY) GetProcAddress(m_gLibSCANalone4,"set_ext_start_delay");
home_position = (SA4_HOME_POSITION) GetProcAddress(m_gLibSCANalone4,"home_position");
read_ad_x = (SA4_READ_AD_X) GetProcAddress(m_gLibSCANalone4,"read_ad_x");
get_z_distance = (SA4_GET_Z_DISTANCE) GetProcAddress(m_gLibSCANalone4,"get_z_distance");
get_startstop_info = (SA4_GET_STARTSTOP_INFO) GetProcAddress(m_gLibSCANalone4,"get_startstop_info");
get_io_status = (SA4_GET_IO_STATUS) GetProcAddress(m_gLibSCANalone4,"get_io_status");
get_time = (SA4_GET_TIME) GetProcAddress(m_gLibSCANalone4,"get_time");
set_defocus = (SA4_SET_DEFOCUS) GetProcAddress(m_gLibSCANalone4,"set_defocus");
set_softstart_mode = (SA4_SET_SOFTSTART_MODE) GetProcAddress(m_gLibSCANalone4,"set_softstart_mode");
set_softstart_level = (SA4_SET_SOFTSTART_LEVEL) GetProcAddress(m_gLibSCANalone4,"set_softstart_level");
control_command = (SA4_CONTROL_COMMAND) GetProcAddress(m_gLibSCANalone4,"control_command");
set_rot_center = (SA4_SET_ROT_CENTER) GetProcAddress(m_gLibSCANalone4,"set_rot_center");
auto_change_pos = (SA4_AUTO_CHANGE_POS) GetProcAddress(m_gLibSCANalone4,"auto_change_pos");
get_value = (SA4_GET_VALUE) GetProcAddress(m_gLibSCANalone4,"get_value");
store_on_mmc = (SA4_STORE_ON_MMC) GetProcAddress(m_gLibSCANalone4,"store_on_mmc");
get_serial_number = (SA4_GET_SERIAL_NUMBER) GetProcAddress(m_gLibSCANalone4,"get_serial_number");
measurement_status = (SA4_MEASUREMENT_STATUS) GetProcAddress(m_gLibSCANalone4,"measurement_status");
clear_list = (SA4_CLEAR_LIST) GetProcAddress(m_gLibSCANalone4,"clear_list");
set_char_table = (SA4_SET_CHAR_TABLE) GetProcAddress(m_gLibSCANalone4,"set_char_table");
time_update = (SA4_TIME_UPDATE) GetProcAddress(m_gLibSCANalone4,"time_update");
set_serial = (SA4_SET_SERIAL) GetProcAddress(m_gLibSCANalone4,"set_serial");
list_nop = (SA4_LIST_NOP) GetProcAddress(m_gLibSCANalone4,"list_nop");
set_end_of_list = (SA4_SET_END_OF_LIST) GetProcAddress(m_gLibSCANalone4,"set_end_of_list");
jump_abs = (SA4_JUMP_ABS) GetProcAddress(m_gLibSCANalone4,"jump_abs");
jump_abs_3d = (SA4_JUMP_ABS_3D) GetProcAddress(m_gLibSCANalone4,"jump_abs_3d");
mark_abs = (SA4_MARK_ABS) GetProcAddress(m_gLibSCANalone4,"mark_abs");
mark_abs_3d = (SA4_MARK_ABS_3D) GetProcAddress(m_gLibSCANalone4,"mark_abs_3d");
jump_rel = (SA4_JUMP_REL) GetProcAddress(m_gLibSCANalone4,"jump_rel");
jump_rel_3d = (SA4_JUMP_REL_3D) GetProcAddress(m_gLibSCANalone4,"jump_rel_3d");
mark_rel = (SA4_MARK_REL) GetProcAddress(m_gLibSCANalone4,"mark_rel");
mark_rel_3d = (SA4_MARK_REL_3D) GetProcAddress(m_gLibSCANalone4,"mark_rel_3d");
write_8bit_port_list = (SA4_WRITE_8BIT_PORT_LIST) GetProcAddress(m_gLibSCANalone4,"write_8bit_port_list");
write_da_1_list = (SA4_WRITE_DA_1_LIST) GetProcAddress(m_gLibSCANalone4,"write_da_1_list");
write_da_2_list = (SA4_WRITE_DA_2_LIST) GetProcAddress(m_gLibSCANalone4,"write_da_2_list");
write_da_x_list = (SA4_WRITE_DA_X_LIST) GetProcAddress(m_gLibSCANalone4,"write_da_x_list");
set_offset_list = (SA4_SET_OFFSET_LIST) GetProcAddress(m_gLibSCANalone4,"set_offset_list");
long_delay = (SA4_LONG_DELAY) GetProcAddress(m_gLibSCANalone4,"long_delay");
laser_on_list = (SA4_LASER_ON_LIST) GetProcAddress(m_gLibSCANalone4,"laser_on_list");
set_jump_speed = (SA4_SET_JUMP_SPEED) GetProcAddress(m_gLibSCANalone4,"set_jump_speed");
set_mark_speed = (SA4_SET_MARK_SPEED) GetProcAddress(m_gLibSCANalone4,"set_mark_speed");
set_laser_delays = (SA4_SET_LASER_DELAYS) GetProcAddress(m_gLibSCANalone4,"set_laser_delays");
set_scanner_delays = (SA4_SET_SCANNER_DELAYS) GetProcAddress(m_gLibSCANalone4,"set_scanner_delays");
set_list_jump = (SA4_SET_LIST_JUMP) GetProcAddress(m_gLibSCANalone4,"set_list_jump");
list_call = (SA4_LIST_CALL) GetProcAddress(m_gLibSCANalone4,"list_call");
list_return = (SA4_LIST_RETURN) GetProcAddress(m_gLibSCANalone4,"list_return");
z_out_list = (SA4_Z_OUT_LIST) GetProcAddress(m_gLibSCANalone4,"z_out_list");
set_standby_list = (SA4_SET_STANDBY_LIST) GetProcAddress(m_gLibSCANalone4,"set_standby_list");
timed_jump_abs = (SA4_TIMED_JUMP_ABS) GetProcAddress(m_gLibSCANalone4,"timed_jump_abs");
timed_mark_abs = (SA4_TIMED_MARK_ABS) GetProcAddress(m_gLibSCANalone4,"timed_mark_abs");
timed_jump_rel = (SA4_TIMED_JUMP_REL) GetProcAddress(m_gLibSCANalone4,"timed_jump_rel");
timed_mark_rel = (SA4_TIMED_MARK_REL) GetProcAddress(m_gLibSCANalone4,"timed_mark_rel");
set_laser_timing = (SA4_SET_LASER_TIMING) GetProcAddress(m_gLibSCANalone4,"set_laser_timing");
set_wobbel = (SA4_SET_WOBBEL) GetProcAddress(m_gLibSCANalone4,"set_wobbel");
set_fly_x = (SA4_SET_FLY_X) GetProcAddress(m_gLibSCANalone4,"set_fly_x");
set_fly_y = (SA4_SET_FLY_Y) GetProcAddress(m_gLibSCANalone4,"set_fly_y");
write_io_port_list = (SA4_WRITE_IO_PORT_LIST) GetProcAddress(m_gLibSCANalone4,"write_io_port_list");
set_wait = (SA4_SET_WAIT) GetProcAddress(m_gLibSCANalone4,"set_wait");
simulate_ext_start = (SA4_SIMULATE_EXT_START) GetProcAddress(m_gLibSCANalone4,"simulate_ext_start");
set_pixel_line = (SA4_SET_PIXEL_LINE) GetProcAddress(m_gLibSCANalone4,"set_pixel_line");
set_pixel = (SA4_SET_PIXEL) GetProcAddress(m_gLibSCANalone4,"set_pixel");
set_extstartpos_list = (SA4_SET_EXTSTARTPOS_LIST) GetProcAddress(m_gLibSCANalone4,"set_extstartpos_list");
laser_signal_on_list = (SA4_LASER_SIGNAL_ON_LIST) GetProcAddress(m_gLibSCANalone4,"laser_signal_on_list");
laser_signal_off_list = (SA4_LASER_SIGNAL_OFF_LIST) GetProcAddress(m_gLibSCANalone4,"laser_signal_off_list");
set_firstpulse_killer_list = (SA4_SET_FIRSTPULSE_KILLER_LIST) GetProcAddress(m_gLibSCANalone4,"set_firstpulse_killer_list");
set_io_cond_list = (SA4_SET_IO_COND_LIST) GetProcAddress(m_gLibSCANalone4,"set_io_cond_list");
clear_io_cond_list = (SA4_CLEAR_IO_COND_LIST) GetProcAddress(m_gLibSCANalone4,"clear_io_cond_list");
list_jump_cond = (SA4_LIST_JUMP_COND) GetProcAddress(m_gLibSCANalone4,"list_jump_cond");
list_call_cond = (SA4_LIST_CALL_COND) GetProcAddress(m_gLibSCANalone4,"list_call_cond");
save_and_restart_timer = (SA4_SAVE_AND_RESTART_TIMER) GetProcAddress(m_gLibSCANalone4,"save_and_restart_timer");
set_matrix_list = (SA4_SET_MATRIX_LIST) GetProcAddress(m_gLibSCANalone4,"set_matrix_list");
set_control_mode_list = (SA4_SET_CONTROL_MODE_LIST) GetProcAddress(m_gLibSCANalone4,"set_control_mode_list");
set_defocus_list = (SA4_SET_DEFOCUS_LIST) GetProcAddress(m_gLibSCANalone4,"set_defocus_list");
set_ext_start_delay_list = (SA4_SET_EXT_START_DELAY_LIST) GetProcAddress(m_gLibSCANalone4,"set_ext_start_delay_list");
set_wobbel_xy = (SA4_SET_WOBBEL_XY) GetProcAddress(m_gLibSCANalone4,"set_wobbel_xy");
calculate_fly = (SA4_CALCULATE_FLY) GetProcAddress(m_gLibSCANalone4,"calculate_fly");
select_cor_table_list = (SA4_SELECT_COR_TABLE_LIST) GetProcAddress(m_gLibSCANalone4,"select_cor_table_list");
set_fly_rot = (SA4_SET_FLY_ROT) GetProcAddress(m_gLibSCANalone4,"set_fly_rot");
fly_return = (SA4_FLY_RETURN) GetProcAddress(m_gLibSCANalone4,"fly_return");
set_trigger = (SA4_SET_TRIGGER) GetProcAddress(m_gLibSCANalone4,"set_trigger");
arc_rel = (SA4_ARC_REL) GetProcAddress(m_gLibSCANalone4,"arc_rel");
arc_abs = (SA4_ARC_ABS) GetProcAddress(m_gLibSCANalone4,"arc_abs");
time_fix = (SA4_TIME_FIX) GetProcAddress(m_gLibSCANalone4,"time_fix");
mark_time = (SA4_MARK_TIME) GetProcAddress(m_gLibSCANalone4,"mark_time");
mark_date = (SA4_MARK_DATE) GetProcAddress(m_gLibSCANalone4,"mark_date");
mark_serial = (SA4_MARK_SERIAL) GetProcAddress(m_gLibSCANalone4,"mark_serial");

