// RTCSA4State.h 
//
// Header file for the CRTCSA4State class
//////////////////////////////////////////

//// 1.1037 PAT 25.07.05 SCANALONE ////
// Added this file
//// 1.1037 ///////////////////////////

#ifndef RTCSA4STATE
#define RTCSA4STATE

// Class specific constants

class CRTCSA4State
{
public:
// Attributes
	BOOL
		m_bRTCSA4Working;

	UINT
		m_nCard,
		m_nCardCount;

	UINT
		m_nVerHardware,
		m_nVerSoftware,
		m_nVerDLL,
		m_nVerSerialNumber;

	BOOL
		m_bOptFly,
		m_bOpt2Heads,
		m_bOpt3D,
		m_bOptIO;

	BOOL
		m_bAvailOptFly,
		m_bAvailOpt2Heads,
		m_bAvailOpt3D,
		m_bAvailOptIO;

	BOOL
		m_bFlyResetEncoder;
	double
		m_dFlyKX,
		m_dFlyKY;

	double 
		m_d3DZOffset;
	short
		m_i3DZ;

	int
		m_iFlySimAxis;
	
// Operators
public:

	CRTCSA4State (void);
	~CRTCSA4State (void);

	void Init (void);

	void operator =( const CRTCSA4State& src );
	BOOL operator ==( const CRTCSA4State& src );
	

protected:


};


#endif // RTCSA4STATE