// RichTextRend.h: interface for the CRichTextRend class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include <afx.h>
//// PS090304A TRANSLATOR CLASS EXCISING ////
//	//// PS080714A RICHTEXT CRASH - MISSING ALI_RENDERER ////
//	#include "..\Translator.h"
//	//// PS080714A //////////////////////////////////////////
//// PS090304A //////////////////////////////

class CRichTextRend  
{
// Operators
public:
	CRichTextRend();
	virtual ~CRichTextRend();

	bool Create(void);
	void Destroy(void);

	void LoadRichText(CString sRichText);
	int GetNumberLines(void);
	int GetVectors(int *vectorList, int startLine, int endLine);

	bool IsConnected(void);

	//// PS080714A RICHTEXT CRASH - MISSING ALI_RENDERER ////
	bool IsPrinterAvailable(void);
	void WarnMissingPrinter(void);
	void WarnMissingDLL(void);
	bool IsCreated(void);
	//// PS080714A //////////////////////////////////////////

protected:

// Attributes
protected:
	void Init(void);
	bool ConnectDLL(void);

	HINSTANCE	m_hALI_RTF_DLL;

	//// PS080714A RICHTEXT CRASH - MISSING ALI_RENDERER ////
	bool m_bCreated;
	bool m_bWarnedPrinter;
	bool m_bWarnedDLL;
	//// PS080714A //////////////////////////////////////////

	//// PS090930A MISSING ALI_RENDERER MESSAGE ////
	bool m_bCreateFailed;
public:
	bool Recreate(void);
	//// PS090930A /////////////////////////////////
};

