// Header file with version information for CLayer class
//
// ver_layer.h
//

/*
	Version 0	-	Date pre 1998.04.30

Original version of the CLayer class archive.
*/
#define LAYER_1998_04_29		100

/*
	Version 1	-	Date 1998.04.30

Z axis stuff.
*/
#define LAYER_1998_04_30		101

/*
	Version 2	-	Date 1998.05.01

This version added only to standardize.
It has the same value as the previous one.
*/
#define LAYER_1998_05_01		101
// Version 3 - adds Layer Active Flag
#define LAYER_1998_07_16		102

#define LAYER_1998_11_19		200
#define LAYER_1999_01_16		300

#define LAYER_1999_05_03		400	

#define LAYER_1999_11_02		500
// Now define the current version

#define LAYER_2001_08_19		600   // LAYER STEP & REPEAT
#define LAYER_2004_03_10		700

#define LAYER_2006_09_21		710
/*
	defines m_bNoIO to layer functionality
*/

#define	LAYER_2007_08_07		720
/*
	Adds start input selection variables
		m_bStartEnabled
		m_bStartDedicated
		m_bStartEnterKey
		m_bStartInputMask
*/

#define LAYER_2007_08_21		730
/*
	Adds config default to start input method
		m_bStartUseConfig
*/

#define LAYER_2007_08_22		740
/*
	Adds storage of last property page edited
		m_iLastPropPage
*/
#define LAYER_2008_07_28		750
/*
	Adds Layer Latch input and Layer Conditional Mark
*/


#define LAYER_2009_04_22		760
/*
	Adds PreMarkDelay in microseconds
		m_dPreMarkDelay
*/

#define LAYER_2009_08_13		770
/*
	Adds layer iteration parameters
		m_uCompleteOut
		m_uCompleteOutMask
		m_nIterations

	Adds additional latch parameters
		m_bLatchClearDedicatedStart

*/

#define LAYER_2009_08_24		780
/*
	Adds variables for logging of variable text to a file
		m_bLogVarTextEnabledAtStart
		m_bLogVarTextEnabledAtEnd
*/


#define VER_LAYER					LAYER_2009_08_24
//	#define	VER_LAYER				LAYER_2009_08_13
//	#define VER_LAYER				LAYER_2009_04_22
//	#define VER_LAYER				LAYER_2008_07_28
//	#define VER_LAYER				LAYER_2007_08_21
//	#define VER_LAYER				LAYER_2007_08_07
//	#define VER_LAYER				LAYER_2006_09_21
//	#define VER_LAYER				LAYER_2004_03_10

//// 1.1201 PAT 21.09.06 3 WAY LAYER & OBJECTS ////
//// 1.1359 PAT 07.08.07 LAYER START METHODS ////
//// 1.1369 PAT 21.08.07 LAYER MARK MODES REVISIT ////
//// 1.1373 PAT 21.08.07 DEFAULT LAYER SETTINGS ////
//// PS090422A PREMARK DELAY ////
//// PS090813A LAYER ITERATE ////
//// PS090824A VAR TEXT LOG FILE ////
